RecoveryRateQuote Class Reference

Stores a recovery rate market quote and the associated seniority. More...

`#include <ql/experimental/credit/recoveryratequote.hpp>`

Inheritance diagram for RecoveryRateQuote:
[legend]

## Public Member Functions

| RecoveryRateQuote (Real value=Null< Real >(), Seniority seniority=NoSeniority)
Quote interface
Real | value () const
| returns the current value
Seniority | seniority () const
bool | isValid () const
| returns true if the Quote holds a valid value
Modifiers
Real | setValue (Real value=Null< Real >())
| returns the difference between the new value and the old value
void | reset ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Static Public Member Functions

static Real | conventionalRecovery (Seniority sen)
template<Size N>
static const std::map< Seniority, Real > | makeIsdaMap (const Real(&(arrayIsdaRR))[N])

## Friends

std::map< Seniority, Real > | makeIsdaConvMap ()
| Helper function for conventional recoveries. Returns the ISDA.

## Detailed Description

Stores a recovery rate market quote and the associated seniority.

## Member Function Documentation

static Real conventionalRecovery | ( | Seniority | sen | ) |

static

Returns a map with the ISDA conventional (values by default) of the recovery rate per each ISDA seniority.

const std::map< Seniority, Real > makeIsdaMap | ( | const | Real(&(arrayIsdaRR))[N] | ) |

static

Turn a set of recoveries into a seniority-recovery map (intended to be used in an event construction)